unit FormLoadShader;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TFrmLoadShader = class(TForm)
    ModBox: TComboBox;
    Label2: TLabel;
    ShaderList: TComboBox;
    Label1: TLabel;
    Bevel1: TBevel;
    Panel1: TPanel;
    Image1: TImage;
    Label3: TLabel;
    Label4: TLabel;
    Bevel2: TBevel;
    Panel2: TPanel;
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    Procedure CreateShaderlist;
    procedure FormCreate(Sender: TObject);
    procedure ModBoxChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    O : Boolean;
    Filename : String;
  end;

var
  FrmLoadShader: TFrmLoadShader;

implementation

{$R *.dfm}

procedure TFrmLoadShader.Button2Click(Sender: TObject);
begin
Close;
end;

Procedure TFrmLoadShader.CreateShaderlist;
var
f: TSearchRec;
x : integer;
begin

ShaderList.Items.Clear;

if FindFirst(extractfiledir(paramstr(0)) + '\' + ModBox.Text + '\scripts\*.shader',faAnyFile,f) = 0 then repeat

ShaderList.Items.Add(copy(f.Name,1,length(f.Name)-length(extractfileext(f.Name))));

until FindNext(f) <> 0;
FindClose(f);

if FindFirst(extractfiledir(paramstr(0)) + '\' + ModBox.Text + '\materials\*.mtr',faAnyFile,f) = 0 then repeat

ShaderList.Items.Add(copy(f.Name,1,length(f.Name)-length(extractfileext(f.Name))));

until FindNext(f) <> 0;
FindClose(f);

ShaderList.ItemIndex := 0;
ShaderList.Sorted := True;


end;

procedure TFrmLoadShader.FormCreate(Sender: TObject);
begin
O := False;
end;

procedure TFrmLoadShader.ModBoxChange(Sender: TObject);
begin
CreateShaderlist;
end;

procedure TFrmLoadShader.Button1Click(Sender: TObject);
begin
Filename := extractfiledir(paramstr(0)) + '\' + ModBox.Text + '\scripts\' + ShaderList.text + '.shader';

If Not FileExists(Filename) then
begin
Filename := extractfiledir(paramstr(0)) + '\' + ModBox.Text + '\materials\' + ShaderList.text + '.mtr';

end;

If FileExists(Filename) then
begin
O := True;
Close;
end
else
Messagebox(0,pchar('File not found: ' + Filename),'Error',0);

end;

end.
